FulfillmentOutbound#

class sp_api.api.FulfillmentOutbound(marketplace: ~sp_api.base.marketplaces.Marketplaces = Marketplaces.US, *, refresh_token=None, account='default', credentials=None, restricted_data_token=None, proxies=None, verify=True, timeout=None, version=None, credential_providers=None, auth_token_client_class=<class 'sp_api.auth.access_token_client.AccessTokenClient'>)#

FulfillmentOutbound SP-API Client :link:

The Selling Partner API for Fulfillment Outbound lets you create applications that help a seller fulfill Multi-Channel Fulfillment orders using their inventory in Amazon’s fulfillment network. You can get information on both potential and existing fulfillment orders.

get_fulfillment_preview(self, **kwargs) ApiResponse#

Returns a list of fulfillment order previews based on shipping criteria that you specify.

Usage Plan:

Rate (requests per second)

Burst

2

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().get_fulfillment_preview()
Parameters:

body – GetFulfillmentPreviewRequest | required GetFulfillmentPreviewRequest parameter

Returns:

ApiResponse

delivery_offers(self, **kwargs) ApiResponse#

Returns delivery options that include an estimated delivery date and offer expiration, based on criteria that you specify.

Usage Plan:

Rate (requests per second)

Burst

5

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().delivery_offers()
Parameters:

body – GetDeliveryOffersRequest | required GetDeliveryOffersRequest parameter

Returns:

ApiResponse

list_all_fulfillment_orders(self, **kwargs) ApiResponse#

Returns a list of fulfillment orders fulfilled after (or at) a specified date-time, or indicated by the nextToken parameter.

Usage Plan:

Rate (requests per second)

Burst

2

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().list_all_fulfillment_orders()
Parameters:
  • queryStartDate (key) – object | A date used to select fulfillment orders that were last updated after (or at) a specified time. An update is defined as any change in fulfillment order status, including the creation of a new fulfillment order.

  • nextToken (key) – object | A string token returned in the response to your previous request.

Returns:

ApiResponse

create_fulfillment_order(self, **kwargs) ApiResponse#

Requests that Amazon ship items from the seller’s inventory in Amazon’s fulfillment network to a destination address.

Usage Plan:

Rate (requests per second)

Burst

2

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().create_fulfillment_order()
Parameters:

body – CreateFulfillmentOrderRequest | required CreateFulfillmentOrderRequest parameter

Returns:

ApiResponse

get_package_tracking_details(self, **kwargs) ApiResponse#

Returns delivery tracking information for a package in an outbound shipment for a Multi-Channel Fulfillment order.

Usage Plan:

Rate (requests per second)

Burst

2

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().get_package_tracking_details()
Parameters:

packageNumber (key) – object | required The unencrypted package identifier. You can obtain this value from the getFulfillmentOrder operation.

Returns:

ApiResponse

list_return_reason_codes(self, **kwargs) ApiResponse#

Returns a list of return reason codes for a seller SKU in a given marketplace. The parameters for this operation may contain special characters that require URL encoding. To avoid errors with SKUs when encoding URLs, refer to [URL Encoding](https://developer-docs.amazon.com/sp-api/docs/url-encoding).

Usage Plan:

Rate (requests per second)

Burst

2

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().list_return_reason_codes()
Parameters:
  • sellerSku (key) – object | required The seller SKU for which return reason codes are required.

  • marketplaceId (key) – object | The marketplace for which the seller wants return reason codes.

  • sellerFulfillmentOrderId (key) – object | The identifier assigned to the item by the seller when the fulfillment order was created. The service uses this value to determine the marketplace for which the seller wants return reason codes.

  • language (key) – object | The language that the TranslatedDescription property of the ReasonCodeDetails response object should be translated into.

Returns:

ApiResponse

create_fulfillment_return(self, sellerFulfillmentOrderId, **kwargs) ApiResponse#

Creates a fulfillment return.

Usage Plan:

Rate (requests per second)

Burst

2

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().create_fulfillment_return("value")
Parameters:
  • body – CreateFulfillmentReturnRequest | required The request body of the createFulfillmentReturn operation.

  • sellerFulfillmentOrderId – object | required An identifier the seller assigns to the fulfillment order at the time it was created. The seller uses their own records to find the correct sellerFulfillmentOrderId value based on the buyer’s request to return items.

Returns:

ApiResponse

get_fulfillment_order(self, sellerFulfillmentOrderId, **kwargs) ApiResponse#

Returns the fulfillment order indicated by the specified order identifier.

Usage Plan:

Rate (requests per second)

Burst

2

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().get_fulfillment_order("value")
Parameters:

sellerFulfillmentOrderId – object | required The identifier assigned to the item by the seller when the fulfillment order was created.

Returns:

ApiResponse

update_fulfillment_order(self, sellerFulfillmentOrderId, **kwargs) ApiResponse#

Updates and/or requests shipment for a fulfillment order with an order hold on it.

Usage Plan:

Rate (requests per second)

Burst

2

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().update_fulfillment_order("value")
Parameters:
  • body – UpdateFulfillmentOrderRequest | required The request body of the updateFulfillmentOrder operation.

  • sellerFulfillmentOrderId – object | required The identifier assigned to the item by the seller when the fulfillment order was created.

Returns:

ApiResponse

submit_fulfillment_order_status_update(self, sellerFulfillmentOrderId, **kwargs) ApiResponse#

Requests that Amazon update the status of an order in the sandbox testing environment. This is a sandbox-only operation and must be directed to a sandbox endpoint. Refer to [Fulfillment Outbound Dynamic Sandbox Guide](https://developer-docs.amazon.com/sp-api/docs/fulfillment-outbound-dynamic-sandbox-guide) and [Selling Partner API sandbox](https://developer-docs.amazon.com/sp-api/docs/the-selling-partner-api-sandbox) for more information.

Examples

literal blocks:

FulfillmentOutbound().submit_fulfillment_order_status_update("value")
Parameters:
  • sellerFulfillmentOrderId – object | required The identifier assigned to the item by the seller when the fulfillment order was created.

  • body – SubmitFulfillmentOrderStatusUpdateRequest | required The identifier assigned to the item by the seller when the fulfillment order was created.

Returns:

ApiResponse

cancel_fulfillment_order(self, sellerFulfillmentOrderId, **kwargs) ApiResponse#

Requests that Amazon stop attempting to fulfill the fulfillment order indicated by the specified order identifier.

Usage Plan:

Rate (requests per second)

Burst

2

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().cancel_fulfillment_order("value")
Parameters:

sellerFulfillmentOrderId – object | required The identifier assigned to the item by the seller when the fulfillment order was created.

Returns:

ApiResponse

get_features(self, **kwargs) ApiResponse#

Returns a list of features available for Multi-Channel Fulfillment orders in the marketplace you specify, and whether the seller for which you made the call is enrolled for each feature.

Usage Plan:

Rate (requests per second)

Burst

2

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().get_features()
Parameters:

marketplaceId (key) – object | required The marketplace for which to return the list of features.

Returns:

ApiResponse

get_feature_inventory(self, featureName, **kwargs) ApiResponse#

Returns a list of inventory items that are eligible for the fulfillment feature you specify.

Usage Plan:

Rate (requests per second)

Burst

2

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().get_feature_inventory("value")
Parameters:
  • marketplaceId (key) – object | required The marketplace for which to return a list of the inventory that is eligible for the specified feature.

  • featureName – object | required The name of the feature for which to return a list of eligible inventory.

  • nextToken (key) – object | A string token returned in the response to your previous request that is used to return the next response page. A value of null will return the first page.

  • queryStartDate (key) – object | A date that you can use to select inventory that has been updated since a specified date. An update is defined as any change in feature-enabled inventory availability. The date must be in the format yyyy-MM-ddTHH:mm:ss.sssZ

Returns:

ApiResponse

get_feature_sku(self, featureName, sellerSku, **kwargs) ApiResponse#

Returns the number of items with the sellerSku you specify that can have orders fulfilled using the specified feature. Note that if the sellerSku isn’t eligible, the response will contain an empty skuInfo object. The parameters for this operation may contain special characters that require URL encoding. To avoid errors with SKUs when encoding URLs, refer to [URL Encoding](https://developer-docs.amazon.com/sp-api/docs/url-encoding).

Usage Plan:

Rate (requests per second)

Burst

2

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().get_feature_sku("value", "value")
Parameters:
  • marketplaceId (key) – object | required The marketplace for which to return the count.

  • featureName – object | required The name of the feature.

  • sellerSku – object | required Used to identify an item in the given marketplace. sellerSku is qualified by the seller’s sellerId, which is included with every operation that you submit.

Returns:

ApiResponse

get_feature_s_k_u(self, featureName, **kwargs) ApiResponse#

Returns a list of inventory items that are eligible for the fulfillment feature you specify.

Usage Plan:

Rate (requests per second)

Burst

2

30

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

FulfillmentOutbound().get_feature_s_k_u("value")
Parameters:
  • marketplaceId (key) – object | required The marketplace for which to return a list of the inventory that is eligible for the specified feature.

  • featureName – object | required The name of the feature for which to return a list of eligible inventory.

  • nextToken (key) – object | A string token returned in the response to your previous request that is used to return the next response page. A value of null will return the first page.

  • queryStartDate (key) – object | A date that you can use to select inventory that has been updated since a specified date. An update is defined as any change in feature-enabled inventory availability. The date must be in the format yyyy-MM-ddTHH:mm:ss.sssZ

Returns:

ApiResponse